Skip to main content
POST
Create a ticket type

Authorizations

Authorization
string
header
required

The API key's secret (osk_…), shown once when the key is created in the console.

Path Parameters

eventId
string
required

Body

application/json
name
string
required
Required string length: 1 - 200
description
string | null
Maximum string length: 2000
capacity
integer | null
Required range: 1 <= x <= 1000000
allowWaitlist
boolean
isPublic
boolean
requiresApproval
boolean
opensAt
string<date-time> | null
closesAt
string<date-time> | null
priceAmount
integer
Required range: 0 <= x <= 100000000

Response

The created ticket type.

id
string
required
eventId
string
required
name
string
required
description
string | null
required
capacity
integer | null
required
allowWaitlist
boolean
required
isPublic
boolean
required
requiresApproval
boolean
required
status
enum<string>
required
Available options:
draft,
open,
closed,
archived
opensAt
string | null
required
closesAt
string | null
required
priceAmount
integer
required
sortOrder
integer
required
counts
object
required
createdAt
string
required